PHYSFS_File(3)

NAME
PHYSFS_File - A PhysicsFS file handle.

SYNOPSIS

#include <physfs.h>

  Data Fields
void * opaque

Detailed Description

A PhysicsFS file handle. You get a pointer to one of these when you open a file for reading, writing, or appending via PhysicsFS.

As you can see from the lack of meaningful fields, you should treat this as opaque data. Don't try to manipulate the file handle, just pass the pointer you got, unmolested, to various PhysicsFS APIs.

See also:
    PHYSFS_openRead

    PHYSFS_openWrite

    PHYSFS_openAppend

    PHYSFS_close

    PHYSFS_read

    PHYSFS_write

    PHYSFS_seek

    PHYSFS_tell

    PHYSFS_eof

    PHYSFS_setBuffer

    PHYSFS_flush

Field Documentation

  void* PHYSFS_File::opaque
That's all you get. Don't touch.

Author

Generated automatically by Doxygen for physfs from the source code.